package com.ruoyi.pay.domain.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.pay.domain.PayDwHoursContrast;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
import java.util.List;

public class PayDayWorkHoursQuery2 {
    private static final long serialVersionUID = 1L;

    /*    *//** 员工部门id *//*
    @Excel(name = "员工部门id")
    private Long deptId;

    *//** 员工部门名称 *//*
    @Excel(name = "员工部门名称")
    private String deptName;

    *//** 员工id *//*
    @Excel(name = "员工id")
    private Long employeeId;

    *//** 员工姓名 *//*
    @Excel(name = "员工姓名")
    private String empName;*/

    /**
     * 租户id
     */
    private Long tenantId;

    /**
     * 员工集合
     */
    private List<PayDayWorkEmps> empInfos;

    /** 日工日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelProperty(value = "日工日期")
    private Date date;

    /** 日工年月 */
    @ExcelProperty(value = "日工年月")
    private String dwYearMonth;
    /** 备注 */
    @ExcelProperty(value = "备注")
    private String note;
    /**
     * 为前端传值方便添加，查询时候专用字段
     */
    private String salesman;

    public String getSalesman() {
        return salesman;
    }

    public void setSalesman(String salesman) {
        this.salesman = salesman;
    }

    /**
     * 日工工时时间段
     */
    private List<PayDwHoursContrast>  dwHoursContrasts;

    public String getDwYearMonth() {
        return dwYearMonth;
    }

    public void setDwYearMonth(String dwYearMonth) {
        this.dwYearMonth = dwYearMonth;
    }

    public List<PayDayWorkEmps> getEmpInfos() {
        return empInfos;
    }

    public void setEmpInfos(List<PayDayWorkEmps> empInfos) {
        this.empInfos = empInfos;
    }

    public List<PayDwHoursContrast> getDwHoursContrasts() {
        return dwHoursContrasts;
    }

    public void setDwHoursContrasts(List<PayDwHoursContrast> dwHoursContrasts) {
        this.dwHoursContrasts = dwHoursContrasts;
    }

    public void setDate(Date date)
    {
        this.date = date;
    }

    public Date getDate()
    {
        return date;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public Long getTenantId() {
        return tenantId;
    }

    public void setTenantId(Long tenantId) {
        this.tenantId = tenantId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
/*                .append("id", getId())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .append("employeeId", getEmployeeId())
                .append("empName", getEmpName())*/
            .append("tenantId", getTenantId())
            .append("date", getDate())
            .append("dwYearMonth", getDwYearMonth())
            .append("note", getNote())
            .append("dwHoursContrasts", getDwHoursContrasts())
            .append("empInfos",getEmpInfos())
            .toString();
    }
}

